/*
 * A restart round plugin for the first round - Version 1.0
 *
 * Name: plugin_ssh_restart
 * Author: Stillsetzhut (stillsetzhut@thh-clan.de)
 * Released: 31/03/05
 *
 *
 * Version 1.0
 *
 * This plugin restarts the first round of a new map after 30
 * seconds. After 10 and 20 seconds it will warning about the
 * restart.
 *
 * Dieses Plugin startet die erste Runde einer Map neu. Nach
 * jeweils 20 und 10 Sekunden kuendigt es den Restart an.
 *
 * SSH for adminmod.de. THX to pandi for this idea.
 */

#include <string>
#include <admin>

new STRING_VERSION[MAX_DATA_LENGTH] = "1.0";

public restart_round(Timer,Repeat,HLUser) {
	exec("sv_restartround 1");
	return PLUGIN_CONTINUE;
}

public warn_restart30(Timer,Repeat,HLUser) {
	new Text[MAX_TEXT_LENGTH];
	snprintf(Text,MAX_TEXT_LENGTH,"Restart round after 30 seconds!");
	centersay(Text,10,68,255,125);
	return PLUGIN_CONTINUE;
}

public warn_restart20(Timer,Repeat,HLUser) {
	new Text[MAX_TEXT_LENGTH];
	snprintf(Text,MAX_TEXT_LENGTH,"Restart round after 20 seconds!");
	centersay(Text,10,68,255,125);
	return PLUGIN_CONTINUE;
}

public warn_restart10(Timer,Repeat,HLUser) {
	new Text[MAX_TEXT_LENGTH];
	snprintf(Text,MAX_TEXT_LENGTH,"Restart round after 10 seconds!");
	centersay(Text,15,255,40,44);
	return PLUGIN_CONTINUE;
}

public plugin_init() {
	plugin_registerinfo("SSH's restart Plugin","Restarts the first round of a map",STRING_VERSION);
	set_timer("warn_restart30",5,1);
	set_timer("warn_restart20",15,1);
	set_timer("warn_restart10",25,1);
	set_timer("restart_round",35,1);
	return PLUGIN_CONTINUE;
}